Delete a claims source
Roles
/v1/claim-sources/{id}Deletes an existing claims source by providing its claimSourceID.
Analytic event
- CLAIM_SOURCE_DELETE_START
- CLAIM_SOURCE_DELETE_SUCCESS
- CLAIM_SOURCE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Claims source ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/claim-sources/41458e5a-9092-40b7-9a26-d4eb43c5792f"{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Invalid value",
"param": "claimSourceId",
"value": "abc"
}
]
}{
"code": "NotFound",
"message": "Validation Error",
"details": [
{
"location": "params",
"msg": "Resource Not Found",
"param": "claimSourceId",
"value": "a368cfb4-9537-4439-acc6-ce3cf2287eb7"
}
]
}How would you rate this page?
Update a claims source PUT
Updates an existing claim source by providing its `claimSourceID`. ### **Analytic event** * CLAIM_SOURCE_UPDATE_START * CLAIM_SOURCE_UPDATE_SUCCESS * CLAIM_SOURCE_UPDATE_FAIL
Create a CWT credential configuration POST
Creates a new CWT credential configuration, a specific set of rules and parameters that are used to create and validate a particular type of verifiable credential. These rules and parameters define how the credential is structured and what data it contains when issued. ### **Analytic events** * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_START * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_SUCCESS * CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_CREATE_FAIL